| Irrlicht 3D Engine |

Classes | Namespaces | Typedefs
aabbox3d.h File Reference
`#include "irrMath.h"`
`#include "plane3d.h"`
`#include "line3d.h"`

Go to the source code of this file.

## Classes

- class irr::core::aabbox3d< T >
    Axis aligned bounding box in 3d dimensional space. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::core

    Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Typedefs

- typedef aabbox3d< f32 > irr::core::aabbox3df
    Typedef for a f32 3d bounding box.
- typedef aabbox3d< s32 > irr::core::aabbox3di
    Typedef for an integer 3d bounding box.